<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/basicinfo/Dt_LocationInfo.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/basicinfo/Dt_SelectionStandards.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'id',
            footer: "Foots",
            cnName: '选配标准',
            name: 'basicinfo/Dt_SelectionStandards',
            url: "/Dt_SelectionStandards/",
            sortName: "id"
        });
        const editFormFields = ref({
            "carType": "",
            "mttype": "",
            "neworold": "",
            "gkdj": "",
            "lowerValue": "",
            "upperValue": "",
            "isCantainGK": "",
            "lowerValue_gk": "",
            "upperValue_gk": ""
        });
        const editFormOptions = ref([
            [
                { "title": "适用车型", "field": "carType", "type": "textarea" },
            ],
            [
                { "title": "动拖属性", "field": "mttype", "type": "text" },
                { "title": "新旧属性", "field": "neworold", "type": "select", dataKey: "NewOld", data: []  },
                { "title": "毂孔等级", "field": "gkdj", "type": "select", dataKey: "Level", data: [] },
            ],
            [

                { "title": "过盈量下限", "field": "lowerValue", "type": "decimal" },
                { "title": "过盈量上限", "field": "upperValue", "type": "decimal" }
            ],
            [
                { "title": "截面是否参与选配", "field": "isCantainGK", "type": "select", dataKey: "Cantain", data: [] },
            ],
            [
                { "title": "截面过盈量下限", "field": "lowerValue_gk", "type": "decimal" },
                { "title": "截面过盈量上限", "field": "upperValue_gk", "type": "decimal" }
            ]
        ]);
        const searchFormFields = ref({
            "carType":"",
            mttype:""
        });
        const searchFormOptions = ref([
            [
                { "title": "适用车型", "field": "carType", type: "like" },
                //{ "title": "货位状态", "field": "locationStatus", "type": "select", dataKey: "LocationState", data: [] },
                { "title": "动拖属性", "field": "mttype", type: "text" },
            ],
            [
                //{ "title": "是否禁用", "field": "enalbeStatus", "type": "select", dataKey: "EnalbeStatus", data: [] }
                // { "title": "列", "field": "column", "type": "text" },
                // { "title": "层", "field": "layer", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'id', title: 'ID', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'carType', title: '适用车型', type: 'string', width: 200, require: true, align: 'left' },
        { field: 'mttype', title: '动拖属性', type: 'string', width: 90, align: 'left' },
        { field: 'neworold', title: '新旧属性', type: 'string', width: 90, require: true, align: 'left',bind: { key: "NewOld", data: []} },
        { field: 'gkdj', title: '毂孔等级', type: 'string', width: 90, align: 'left',bind: { key: "Level", data: []} },
        { field: 'lowerValue', title: '过盈量下限', type: 'decimal', width: 90, align: 'left' },
        { field: 'upperValue', title: '过盈量上限', type: 'decimal', width: 90, align: 'left' },
        { field: 'isCantainGK', title: '截面是否参与选配', type: 'bool', width: 120, align: 'left', bind: { key: "Cantain", data: []} },
        { field: 'lowerValue_gk', title: '截面过盈量下限', type: 'decimal', width: 110, align: 'left' },
        { field: 'upperValue_gk', title: '截面过盈量上限', type: 'decimal', width: 110, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', width: 90, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 90, align: 'left', sort: true },
        //{ field: 'modifier', title: '修改人', type: 'string', sort: true, width: 90, align: 'left' },
        //{ field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 90, align: 'left', sort: true },
        ]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
